Update
curl --request PATCH \
--url https://{defaultHost}/v1/shipping_fees/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"shipping_fee": {
"amount": 25
}
}
'import requests
url = "https://{defaultHost}/v1/shipping_fees/{id}"
payload = { "shipping_fee": { "amount": 25 } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({shipping_fee: {amount: 25}})
};
fetch('https://{defaultHost}/v1/shipping_fees/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "4f82276f-4efb-4903-9c76-1f06e8c72ea8",
"object": "shipping_fee",
"amount": 25,
"description": "IncredibleCode429469",
"fee_type": "manual",
"checkout": "5714bd40-6f96-49e4-8dfb-04971ead013c",
"created_at": 1782485902,
"updated_at": 1782485902
}Shipping Fees
Update
Updates a specific shipping fee.
PATCH
/
v1
/
shipping_fees
/
{id}
Update
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
Success
The UUID of the specific object.
A string describing the object type returned.
The amount in cents to be added or subtracted, represented as an integer. For example 9900 is equivalent to $99.
A short description of the shipping fee.
The type of shipping_fee – one of auto or manual.
Expandable – The associated checkout ID.
Time at which the object was created. Measured in seconds since the Unix epoch.
Time at which the object was last updated. Measured in seconds since the Unix epoch.
Was this page helpful?
⌘I